diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/digitallogic/msm586seg/Options.lb LinuxBIOSv2/src/mainboard/digitallogic/msm586seg/Options.lb
--- LinuxBIOSv2.orig1/src/mainboard/digitallogic/msm586seg/Options.lb	2006-10-24 22:16:49.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/digitallogic/msm586seg/Options.lb	2006-10-24 22:36:10.000000000 +0000
@@ -6,7 +6,7 @@
 uses HAVE_OPTION_TABLE
 uses USE_OPTION_TABLE
 uses CONFIG_COMPRESS
-uses CONFIG_ROM_STREAM
+uses CONFIG_ROM_PAYLOAD
 uses CONFIG_USE_INIT
 uses IRQ_SLOT_COUNT
 uses MAINBOARD
@@ -22,7 +22,7 @@
 uses ROM_IMAGE_SIZE
 uses ROM_SECTION_SIZE
 uses ROM_SECTION_OFFSET
-uses CONFIG_ROM_STREAM_START
+uses CONFIG_ROM_PAYLOAD_START
 uses PAYLOAD_SIZE
 uses _ROMBASE
 uses _RAMBASE
@@ -110,7 +110,7 @@
 
 default _RAMBASE = 0x00004000
 
-default CONFIG_ROM_STREAM     = 1
+default CONFIG_ROM_PAYLOAD     = 1
 
 ##
 ## The default compiler
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/digitallogic/msm800sev/Config.lb LinuxBIOSv2/src/mainboard/digitallogic/msm800sev/Config.lb
--- LinuxBIOSv2.orig1/src/mainboard/digitallogic/msm800sev/Config.lb	2006-10-24 22:16:49.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/digitallogic/msm800sev/Config.lb	2006-10-24 22:36:10.000000000 +0000
@@ -14,13 +14,13 @@
 ## Compute the start location and size size of
 ## The linuxBIOS bootloader.
 ##
-default CONFIG_ROM_STREAM_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
+default CONFIG_ROM_PAYLOAD_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
 default PAYLOAD_SIZE            = ( ROM_SECTION_SIZE - ROM_IMAGE_SIZE )
 
 ##
 ## Compute where this copy of linuxBIOS will start in the boot rom
 ##
-default _ROMBASE      = ( CONFIG_ROM_STREAM_START + PAYLOAD_SIZE )
+default _ROMBASE      = ( CONFIG_ROM_PAYLOAD_START + PAYLOAD_SIZE )
 
 ##
 ## Compute a range of ROM that can cached to speed up linuxBIOS,
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/digitallogic/msm800sev/Options.lb LinuxBIOSv2/src/mainboard/digitallogic/msm800sev/Options.lb
--- LinuxBIOSv2.orig1/src/mainboard/digitallogic/msm800sev/Options.lb	2006-10-24 22:19:52.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/digitallogic/msm800sev/Options.lb	2006-10-24 22:36:10.000000000 +0000
@@ -5,7 +5,7 @@
 uses HAVE_HARD_RESET
 uses HAVE_OPTION_TABLE
 uses USE_OPTION_TABLE
-uses CONFIG_ROM_STREAM
+uses CONFIG_ROM_PAYLOAD
 uses IRQ_SLOT_COUNT
 uses MAINBOARD
 uses MAINBOARD_VENDOR
@@ -20,7 +20,7 @@
 uses ROM_IMAGE_SIZE
 uses ROM_SECTION_SIZE
 uses ROM_SECTION_OFFSET
-uses CONFIG_ROM_STREAM_START
+uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_NRV2B
 uses PAYLOAD_SIZE
 uses _ROMBASE
@@ -114,7 +114,7 @@
 
 default _RAMBASE = 0x00004000
 
-default CONFIG_ROM_STREAM     = 1
+default CONFIG_ROM_PAYLOAD     = 1
 
 ##
 ## The default compiler
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/eaglelion/5bcm/Config.lb LinuxBIOSv2/src/mainboard/eaglelion/5bcm/Config.lb
--- LinuxBIOSv2.orig1/src/mainboard/eaglelion/5bcm/Config.lb	2006-10-24 22:16:50.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/eaglelion/5bcm/Config.lb	2006-10-24 22:36:10.000000000 +0000
@@ -14,13 +14,13 @@
 ## Compute the start location and size size of
 ## The linuxBIOS bootloader.
 ##
-default CONFIG_ROM_STREAM_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
+default CONFIG_ROM_PAYLOAD_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
 default PAYLOAD_SIZE            = ( ROM_SECTION_SIZE - ROM_IMAGE_SIZE )
 
 ##
 ## Compute where this copy of linuxBIOS will start in the boot rom
 ##
-default _ROMBASE      = ( CONFIG_ROM_STREAM_START + PAYLOAD_SIZE )
+default _ROMBASE      = ( CONFIG_ROM_PAYLOAD_START + PAYLOAD_SIZE )
 
 ##
 ## Compute a range of ROM that can cached to speed up linuxBIOS,
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/eaglelion/5bcm/Options.lb LinuxBIOSv2/src/mainboard/eaglelion/5bcm/Options.lb
--- LinuxBIOSv2.orig1/src/mainboard/eaglelion/5bcm/Options.lb	2006-10-24 22:16:50.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/eaglelion/5bcm/Options.lb	2006-10-24 22:36:10.000000000 +0000
@@ -5,7 +5,7 @@
 uses HAVE_HARD_RESET
 uses HAVE_OPTION_TABLE
 uses USE_OPTION_TABLE
-uses CONFIG_ROM_STREAM
+uses CONFIG_ROM_PAYLOAD
 uses IRQ_SLOT_COUNT
 uses MAINBOARD
 uses MAINBOARD_VENDOR
@@ -20,7 +20,7 @@
 uses ROM_IMAGE_SIZE
 uses ROM_SECTION_SIZE
 uses ROM_SECTION_OFFSET
-uses CONFIG_ROM_STREAM_START
+uses CONFIG_ROM_PAYLOAD_START
 uses PAYLOAD_SIZE
 uses _ROMBASE
 uses _RAMBASE
@@ -105,7 +105,7 @@
 
 default _RAMBASE = 0x00004000
 
-default CONFIG_ROM_STREAM     = 1
+default CONFIG_ROM_PAYLOAD     = 1
 
 ##
 ## The default compiler
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/embeddedplanet/ep405pc/Options.lb LinuxBIOSv2/src/mainboard/embeddedplanet/ep405pc/Options.lb
--- LinuxBIOSv2.orig1/src/mainboard/embeddedplanet/ep405pc/Options.lb	2006-10-24 22:16:50.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/embeddedplanet/ep405pc/Options.lb	2006-10-24 22:36:10.000000000 +0000
@@ -20,7 +20,7 @@
 uses TTYS0_BAUD TTYS0_DIV
 uses NO_POST
 uses CONFIG_IDE
-uses CONFIG_FS_STREAM
+uses CONFIG_FS_PAYLOAD
 uses CONFIG_FS_EXT2
 uses CONFIG_FS_ISO9660
 uses CONFIG_FS_FAT
@@ -93,7 +93,7 @@
 
 ## Boot linux from IDE
 default CONFIG_IDE=1
-default CONFIG_FS_STREAM=1
+default CONFIG_FS_PAYLOAD=1
 default CONFIG_FS_EXT2=1
 default CONFIG_FS_ISO9660=1
 default CONFIG_FS_FAT=1
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/emulation/qemu-i386/Config.lb LinuxBIOSv2/src/mainboard/emulation/qemu-i386/Config.lb
--- LinuxBIOSv2.orig1/src/mainboard/emulation/qemu-i386/Config.lb	2006-10-24 22:16:50.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/emulation/qemu-i386/Config.lb	2006-10-24 22:36:10.000000000 +0000
@@ -11,12 +11,12 @@
 ## The linuxBIOS bootloader.
 ##
 default PAYLOAD_SIZE            = ( ROM_SECTION_SIZE - ROM_IMAGE_SIZE )
-default CONFIG_ROM_STREAM_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
+default CONFIG_ROM_PAYLOAD_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
 
 ##
 ## Compute where this copy of linuxBIOS will start in the boot rom
 ##
-default _ROMBASE      = ( CONFIG_ROM_STREAM_START + PAYLOAD_SIZE )
+default _ROMBASE      = ( CONFIG_ROM_PAYLOAD_START + PAYLOAD_SIZE )
 
 ##
 ## Compute a range of ROM that can cached to speed up linuxBIOS,
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/emulation/qemu-i386/Options.lb LinuxBIOSv2/src/mainboard/emulation/qemu-i386/Options.lb
--- LinuxBIOSv2.orig1/src/mainboard/emulation/qemu-i386/Options.lb	2006-10-24 22:19:52.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/emulation/qemu-i386/Options.lb	2006-10-24 22:36:10.000000000 +0000
@@ -9,7 +9,7 @@
 uses CONFIG_COMPRESSED_PAYLOAD_NRV2B
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
 uses CONFIG_PRECOMPRESSED_PAYLOAD
-uses CONFIG_ROM_STREAM
+uses CONFIG_ROM_PAYLOAD
 uses IRQ_SLOT_COUNT
 uses MAINBOARD
 uses MAINBOARD_VENDOR
@@ -24,7 +24,7 @@
 uses ROM_IMAGE_SIZE
 uses ROM_SECTION_SIZE
 uses ROM_SECTION_OFFSET
-uses CONFIG_ROM_STREAM_START
+uses CONFIG_ROM_PAYLOAD_START
 uses PAYLOAD_SIZE
 uses _ROMBASE
 uses _RAMBASE
@@ -105,7 +105,7 @@
 
 default _RAMBASE = 0x00004000
 
-default CONFIG_ROM_STREAM     = 1
+default CONFIG_ROM_PAYLOAD     = 1
 
 ##
 ## The default compiler
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/ibm/e325/Config.lb LinuxBIOSv2/src/mainboard/ibm/e325/Config.lb
--- LinuxBIOSv2.orig1/src/mainboard/ibm/e325/Config.lb	2006-10-24 22:16:52.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/ibm/e325/Config.lb	2006-10-24 22:36:10.000000000 +0000
@@ -15,12 +15,12 @@
 ## The linuxBIOS bootloader.
 ##
 default PAYLOAD_SIZE            = ( ROM_SECTION_SIZE - ROM_IMAGE_SIZE )
-default CONFIG_ROM_STREAM_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
+default CONFIG_ROM_PAYLOAD_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
 
 ##
 ## Compute where this copy of linuxBIOS will start in the boot rom
 ##
-default _ROMBASE      = ( CONFIG_ROM_STREAM_START + PAYLOAD_SIZE )
+default _ROMBASE      = ( CONFIG_ROM_PAYLOAD_START + PAYLOAD_SIZE )
 
 ##
 ## Compute a range of ROM that can cached to speed up linuxBIOS,
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/ibm/e325/Options.lb LinuxBIOSv2/src/mainboard/ibm/e325/Options.lb
--- LinuxBIOSv2.orig1/src/mainboard/ibm/e325/Options.lb	2006-10-24 22:16:52.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/ibm/e325/Options.lb	2006-10-24 22:36:10.000000000 +0000
@@ -15,8 +15,8 @@
 uses ROM_IMAGE_SIZE
 uses ROM_SECTION_SIZE
 uses ROM_SECTION_OFFSET
-uses CONFIG_ROM_STREAM
-uses CONFIG_ROM_STREAM_START
+uses CONFIG_ROM_PAYLOAD
+uses CONFIG_ROM_PAYLOAD_START
 uses PAYLOAD_SIZE
 uses _ROMBASE
 uses XIP_ROM_SIZE
@@ -146,7 +146,7 @@
 ##
 ## Load the payload from the ROM
 ##
-default CONFIG_ROM_STREAM = 1
+default CONFIG_ROM_PAYLOAD = 1
 
 ###
 ### Defaults of options that you may want to override in the target config file
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/ibm/e326/Config.lb LinuxBIOSv2/src/mainboard/ibm/e326/Config.lb
--- LinuxBIOSv2.orig1/src/mainboard/ibm/e326/Config.lb	2006-10-24 22:16:52.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/ibm/e326/Config.lb	2006-10-24 22:36:10.000000000 +0000
@@ -15,12 +15,12 @@
 ## The linuxBIOS bootloader.
 ##
 default PAYLOAD_SIZE            = ( ROM_SECTION_SIZE - ROM_IMAGE_SIZE )
-default CONFIG_ROM_STREAM_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
+default CONFIG_ROM_PAYLOAD_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
 
 ##
 ## Compute where this copy of linuxBIOS will start in the boot rom
 ##
-default _ROMBASE      = ( CONFIG_ROM_STREAM_START + PAYLOAD_SIZE )
+default _ROMBASE      = ( CONFIG_ROM_PAYLOAD_START + PAYLOAD_SIZE )
 
 ##
 ## Compute a range of ROM that can cached to speed up linuxBIOS,
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/ibm/e326/Options.lb LinuxBIOSv2/src/mainboard/ibm/e326/Options.lb
--- LinuxBIOSv2.orig1/src/mainboard/ibm/e326/Options.lb	2006-10-24 22:16:52.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/ibm/e326/Options.lb	2006-10-24 22:36:10.000000000 +0000
@@ -15,8 +15,8 @@
 uses ROM_IMAGE_SIZE
 uses ROM_SECTION_SIZE
 uses ROM_SECTION_OFFSET
-uses CONFIG_ROM_STREAM
-uses CONFIG_ROM_STREAM_START
+uses CONFIG_ROM_PAYLOAD
+uses CONFIG_ROM_PAYLOAD_START
 uses PAYLOAD_SIZE
 uses _ROMBASE
 uses XIP_ROM_SIZE
@@ -152,7 +152,7 @@
 ##
 ## Load the payload from the ROM
 ##
-default CONFIG_ROM_STREAM = 1
+default CONFIG_ROM_PAYLOAD = 1
 
 ###
 ### Defaults of options that you may want to override in the target config file
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/intel/jarrell/Config.lb LinuxBIOSv2/src/mainboard/intel/jarrell/Config.lb
--- LinuxBIOSv2.orig1/src/mainboard/intel/jarrell/Config.lb	2006-10-24 22:16:52.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/intel/jarrell/Config.lb	2006-10-24 22:36:10.000000000 +0000
@@ -20,12 +20,12 @@
 ## The linuxBIOS bootloader.
 ##
 default PAYLOAD_SIZE            = ( ROM_SECTION_SIZE - ROM_IMAGE_SIZE )
-default CONFIG_ROM_STREAM_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
+default CONFIG_ROM_PAYLOAD_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
 
 ##
 ## Compute where this copy of linuxBIOS will start in the boot rom
 ##
-default _ROMBASE      = ( CONFIG_ROM_STREAM_START + PAYLOAD_SIZE )
+default _ROMBASE      = ( CONFIG_ROM_PAYLOAD_START + PAYLOAD_SIZE )
 
 ##
 ## Compute a range of ROM that can cached to speed up linuxBIOS,
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/intel/jarrell/Options.lb LinuxBIOSv2/src/mainboard/intel/jarrell/Options.lb
--- LinuxBIOSv2.orig1/src/mainboard/intel/jarrell/Options.lb	2006-10-24 22:16:52.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/intel/jarrell/Options.lb	2006-10-24 22:36:10.000000000 +0000
@@ -15,8 +15,8 @@
 uses ROM_IMAGE_SIZE
 uses ROM_SECTION_SIZE
 uses ROM_SECTION_OFFSET
-uses CONFIG_ROM_STREAM
-uses CONFIG_ROM_STREAM_START
+uses CONFIG_ROM_PAYLOAD
+uses CONFIG_ROM_PAYLOAD_START
 uses PAYLOAD_SIZE
 uses _ROMBASE
 uses XIP_ROM_SIZE
@@ -168,7 +168,7 @@
 ##
 ## Load the payload from the ROM
 ##
-default CONFIG_ROM_STREAM=1
+default CONFIG_ROM_PAYLOAD=1
 
 
 ###
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/intel/xe7501devkit/Config.lb LinuxBIOSv2/src/mainboard/intel/xe7501devkit/Config.lb
--- LinuxBIOSv2.orig1/src/mainboard/intel/xe7501devkit/Config.lb	2006-10-24 22:16:52.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/intel/xe7501devkit/Config.lb	2006-10-24 22:36:10.000000000 +0000
@@ -21,7 +21,7 @@
 ##
 ## Compute where this copy of linuxBIOS will start in the boot rom
 ##
-default _ROMBASE      = ( CONFIG_ROM_STREAM_START + PAYLOAD_SIZE )
+default _ROMBASE      = ( CONFIG_ROM_PAYLOAD_START + PAYLOAD_SIZE )
 
 ##
 ## Compute a range of ROM that can cached to speed up linuxBIOS,
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/intel/xe7501devkit/Options.lb LinuxBIOSv2/src/mainboard/intel/xe7501devkit/Options.lb
--- LinuxBIOSv2.orig1/src/mainboard/intel/xe7501devkit/Options.lb	2006-10-24 22:16:52.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/intel/xe7501devkit/Options.lb	2006-10-24 22:36:10.000000000 +0000
@@ -9,7 +9,7 @@
 uses CONFIG_MAX_PHYSICAL_CPUS
 uses CONFIG_IOAPIC
 uses CONFIG_SMP
-uses CONFIG_ROM_STREAM
+uses CONFIG_ROM_PAYLOAD
 uses STACK_SIZE
 uses HEAP_SIZE
 uses USE_OPTION_TABLE
@@ -45,7 +45,7 @@
 uses CONFIG_IDE
 
 ## The default definitions are used for these
-uses CONFIG_ROM_STREAM_START
+uses CONFIG_ROM_PAYLOAD_START
 uses PAYLOAD_SIZE
 
 ## These are defined in target Config.lb, don't add here
@@ -167,7 +167,7 @@
 ##
 ## Load the payload from the ROM
 ##
-default CONFIG_ROM_STREAM = 1
+default CONFIG_ROM_PAYLOAD = 1
 
 ###
 ### Defaults of options that you may want to override in the target config file
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/iwill/dk8_htx/Config.lb LinuxBIOSv2/src/mainboard/iwill/dk8_htx/Config.lb
--- LinuxBIOSv2.orig1/src/mainboard/iwill/dk8_htx/Config.lb	2006-10-24 22:16:47.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/iwill/dk8_htx/Config.lb	2006-10-24 22:36:10.000000000 +0000
@@ -20,12 +20,12 @@
 ## The linuxBIOS bootloader.
 ##
 default PAYLOAD_SIZE            = ( ROM_SECTION_SIZE - ROM_IMAGE_SIZE )
-default CONFIG_ROM_STREAM_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
+default CONFIG_ROM_PAYLOAD_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
 
 ##
 ## Compute where this copy of linuxBIOS will start in the boot rom
 ##
-default _ROMBASE      = ( CONFIG_ROM_STREAM_START + PAYLOAD_SIZE )
+default _ROMBASE      = ( CONFIG_ROM_PAYLOAD_START + PAYLOAD_SIZE )
 
 ##
 ## Compute a range of ROM that can cached to speed up linuxBIOS,
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/iwill/dk8_htx/Options.lb LinuxBIOSv2/src/mainboard/iwill/dk8_htx/Options.lb
--- LinuxBIOSv2.orig1/src/mainboard/iwill/dk8_htx/Options.lb	2006-10-24 22:22:39.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/iwill/dk8_htx/Options.lb	2006-10-24 22:36:43.000000000 +0000
@@ -21,8 +21,8 @@
 uses ROM_IMAGE_SIZE
 uses ROM_SECTION_SIZE
 uses ROM_SECTION_OFFSET
-uses CONFIG_ROM_STREAM
-uses CONFIG_ROM_STREAM_START
+uses CONFIG_ROM_PAYLOAD
+uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_NRV2B
 uses PAYLOAD_SIZE
 uses _ROMBASE
@@ -264,7 +264,7 @@
 ##
 ## Load the payload from the ROM
 ##
-default CONFIG_ROM_STREAM = 1
+default CONFIG_ROM_PAYLOAD = 1
 
 #default CONFIG_COMPRESSED_PAYLOAD_NRV2B = 1
 
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/iwill/dk8s2/Config.lb LinuxBIOSv2/src/mainboard/iwill/dk8s2/Config.lb
--- LinuxBIOSv2.orig1/src/mainboard/iwill/dk8s2/Config.lb	2006-10-24 22:16:47.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/iwill/dk8s2/Config.lb	2006-10-24 22:36:11.000000000 +0000
@@ -15,12 +15,12 @@
 ## The linuxBIOS bootloader.
 ##
 default PAYLOAD_SIZE            = ( ROM_SECTION_SIZE - ROM_IMAGE_SIZE )
-default CONFIG_ROM_STREAM_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
+default CONFIG_ROM_PAYLOAD_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
 
 ##
 ## Compute where this copy of linuxBIOS will start in the boot rom
 ##
-default _ROMBASE      = ( CONFIG_ROM_STREAM_START + PAYLOAD_SIZE )
+default _ROMBASE      = ( CONFIG_ROM_PAYLOAD_START + PAYLOAD_SIZE )
 
 ##
 ## Compute a range of ROM that can cached to speed up linuxBIOS,
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/iwill/dk8s2/Options.lb LinuxBIOSv2/src/mainboard/iwill/dk8s2/Options.lb
--- LinuxBIOSv2.orig1/src/mainboard/iwill/dk8s2/Options.lb	2006-10-24 22:16:47.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/iwill/dk8s2/Options.lb	2006-10-24 22:36:11.000000000 +0000
@@ -15,8 +15,8 @@
 uses ROM_IMAGE_SIZE
 uses ROM_SECTION_SIZE
 uses ROM_SECTION_OFFSET
-uses CONFIG_ROM_STREAM
-uses CONFIG_ROM_STREAM_START
+uses CONFIG_ROM_PAYLOAD
+uses CONFIG_ROM_PAYLOAD_START
 uses PAYLOAD_SIZE
 uses _ROMBASE
 uses XIP_ROM_SIZE
@@ -148,7 +148,7 @@
 ##
 ## Load the payload from the ROM
 ##
-default CONFIG_ROM_STREAM = 1
+default CONFIG_ROM_PAYLOAD = 1
 
 ###
 ### Defaults of options that you may want to override in the target config file
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/iwill/dk8x/Config.lb LinuxBIOSv2/src/mainboard/iwill/dk8x/Config.lb
--- LinuxBIOSv2.orig1/src/mainboard/iwill/dk8x/Config.lb	2006-10-24 22:16:47.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/iwill/dk8x/Config.lb	2006-10-24 22:36:11.000000000 +0000
@@ -15,12 +15,12 @@
 ## The linuxBIOS bootloader.
 ##
 default PAYLOAD_SIZE            = ( ROM_SECTION_SIZE - ROM_IMAGE_SIZE )
-default CONFIG_ROM_STREAM_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
+default CONFIG_ROM_PAYLOAD_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
 
 ##
 ## Compute where this copy of linuxBIOS will start in the boot rom
 ##
-default _ROMBASE      = ( CONFIG_ROM_STREAM_START + PAYLOAD_SIZE )
+default _ROMBASE      = ( CONFIG_ROM_PAYLOAD_START + PAYLOAD_SIZE )
 
 ##
 ## Compute a range of ROM that can cached to speed up linuxBIOS,
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/iwill/dk8x/Options.lb LinuxBIOSv2/src/mainboard/iwill/dk8x/Options.lb
--- LinuxBIOSv2.orig1/src/mainboard/iwill/dk8x/Options.lb	2006-10-24 22:16:47.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/iwill/dk8x/Options.lb	2006-10-24 22:36:11.000000000 +0000
@@ -15,8 +15,8 @@
 uses ROM_IMAGE_SIZE
 uses ROM_SECTION_SIZE
 uses ROM_SECTION_OFFSET
-uses CONFIG_ROM_STREAM
-uses CONFIG_ROM_STREAM_START
+uses CONFIG_ROM_PAYLOAD
+uses CONFIG_ROM_PAYLOAD_START
 uses PAYLOAD_SIZE
 uses _ROMBASE
 uses XIP_ROM_SIZE
@@ -147,7 +147,7 @@
 ##
 ## Load the payload from the ROM
 ##
-default CONFIG_ROM_STREAM = 1
+default CONFIG_ROM_PAYLOAD = 1
 
 ###
 ### Defaults of options that you may want to override in the target config file
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/lippert/frontrunner/Config.lb LinuxBIOSv2/src/mainboard/lippert/frontrunner/Config.lb
--- LinuxBIOSv2.orig1/src/mainboard/lippert/frontrunner/Config.lb	2006-10-24 22:16:46.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/lippert/frontrunner/Config.lb	2006-10-24 22:36:11.000000000 +0000
@@ -14,13 +14,13 @@
 ## Compute the start location and size size of
 ## The linuxBIOS bootloader.
 ##
-default CONFIG_ROM_STREAM_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
+default CONFIG_ROM_PAYLOAD_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
 default PAYLOAD_SIZE            = ( ROM_SECTION_SIZE - ROM_IMAGE_SIZE )
 
 ##
 ## Compute where this copy of linuxBIOS will start in the boot rom
 ##
-default _ROMBASE      = ( CONFIG_ROM_STREAM_START + PAYLOAD_SIZE )
+default _ROMBASE      = ( CONFIG_ROM_PAYLOAD_START + PAYLOAD_SIZE )
 
 ##
 ## Compute a range of ROM that can cached to speed up linuxBIOS,
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/lippert/frontrunner/Options.lb LinuxBIOSv2/src/mainboard/lippert/frontrunner/Options.lb
--- LinuxBIOSv2.orig1/src/mainboard/lippert/frontrunner/Options.lb	2006-10-24 22:16:46.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/lippert/frontrunner/Options.lb	2006-10-24 22:36:11.000000000 +0000
@@ -5,7 +5,7 @@
 uses HAVE_HARD_RESET
 uses HAVE_OPTION_TABLE
 uses USE_OPTION_TABLE
-uses CONFIG_ROM_STREAM
+uses CONFIG_ROM_PAYLOAD
 uses IRQ_SLOT_COUNT
 uses MAINBOARD
 uses MAINBOARD_VENDOR
@@ -20,7 +20,7 @@
 uses ROM_IMAGE_SIZE
 uses ROM_SECTION_SIZE
 uses ROM_SECTION_OFFSET
-uses CONFIG_ROM_STREAM_START
+uses CONFIG_ROM_PAYLOAD_START
 uses PAYLOAD_SIZE
 uses _ROMBASE
 uses _RAMBASE
@@ -105,7 +105,7 @@
 
 default _RAMBASE = 0x00004000
 
-default CONFIG_ROM_STREAM     = 1
+default CONFIG_ROM_PAYLOAD     = 1
 
 ##
 ## The default compiler
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/motorola/sandpoint/Options.lb LinuxBIOSv2/src/mainboard/motorola/sandpoint/Options.lb
--- LinuxBIOSv2.orig1/src/mainboard/motorola/sandpoint/Options.lb	2006-10-24 22:16:49.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/motorola/sandpoint/Options.lb	2006-10-24 22:36:11.000000000 +0000
@@ -22,7 +22,7 @@
 uses CONFIG_CONSOLE_SERIAL8250 
 uses TTYS0_BASE 
 uses CONFIG_IDE
-uses CONFIG_FS_STREAM 
+uses CONFIG_FS_PAYLOAD 
 uses CONFIG_FS_EXT2
 uses CONFIG_FS_ISO9660
 uses CONFIG_FS_FAT
@@ -83,7 +83,7 @@
 
 ## Load payload using filo
 default CONFIG_IDE=1
-default CONFIG_FS_STREAM=1
+default CONFIG_FS_PAYLOAD=1
 default CONFIG_FS_EXT2=1
 default CONFIG_FS_ISO9660=1
 default CONFIG_FS_FAT=1
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/motorola/sandpointx3_altimus_mpc7410/Options.lb LinuxBIOSv2/src/mainboard/motorola/sandpointx3_altimus_mpc7410/Options.lb
--- LinuxBIOSv2.orig1/src/mainboard/motorola/sandpointx3_altimus_mpc7410/Options.lb	2006-10-24 22:16:49.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/motorola/sandpointx3_altimus_mpc7410/Options.lb	2006-10-24 22:36:11.000000000 +0000
@@ -17,7 +17,7 @@
 uses CONFIG_CONSOLE_SERIAL8250 
 uses TTYS0_BASE 
 uses CONFIG_IDE
-uses CONFIG_FS_STREAM 
+uses CONFIG_FS_PAYLOAD 
 uses CONFIG_FS_EXT2
 uses CONFIG_FS_ISO9660
 uses CONFIG_FS_FAT
@@ -78,7 +78,7 @@
 
 ## Load payload using filo
 default CONFIG_IDE=1
-default CONFIG_FS_STREAM=1
+default CONFIG_FS_PAYLOAD=1
 default CONFIG_FS_EXT2=1
 default CONFIG_FS_ISO9660=1
 default CONFIG_FS_FAT=1
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/newisys/khepri/Config.lb LinuxBIOSv2/src/mainboard/newisys/khepri/Config.lb
--- LinuxBIOSv2.orig1/src/mainboard/newisys/khepri/Config.lb	2006-10-24 22:16:51.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/newisys/khepri/Config.lb	2006-10-24 22:36:11.000000000 +0000
@@ -15,12 +15,12 @@
 ## The linuxBIOS bootloader.
 ##
 default PAYLOAD_SIZE            = ( ROM_SECTION_SIZE - ROM_IMAGE_SIZE )
-default CONFIG_ROM_STREAM_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
+default CONFIG_ROM_PAYLOAD_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
 
 ##
 ## Compute where this copy of linuxBIOS will start in the boot rom
 ##
-default _ROMBASE      = ( CONFIG_ROM_STREAM_START + PAYLOAD_SIZE )
+default _ROMBASE      = ( CONFIG_ROM_PAYLOAD_START + PAYLOAD_SIZE )
 
 ##
 ## Compute a range of ROM that can cached to speed up linuxBIOS,
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/newisys/khepri/Options.lb LinuxBIOSv2/src/mainboard/newisys/khepri/Options.lb
--- LinuxBIOSv2.orig1/src/mainboard/newisys/khepri/Options.lb	2006-10-24 22:16:51.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/newisys/khepri/Options.lb	2006-10-24 22:36:11.000000000 +0000
@@ -15,8 +15,8 @@
 uses ROM_IMAGE_SIZE
 uses ROM_SECTION_SIZE
 uses ROM_SECTION_OFFSET
-uses CONFIG_ROM_STREAM
-uses CONFIG_ROM_STREAM_START
+uses CONFIG_ROM_PAYLOAD
+uses CONFIG_ROM_PAYLOAD_START
 uses PAYLOAD_SIZE
 uses _ROMBASE
 uses XIP_ROM_SIZE
@@ -143,7 +143,7 @@
 ##
 ## Load the payload from the ROM
 ##
-default CONFIG_ROM_STREAM = 1
+default CONFIG_ROM_PAYLOAD = 1
 
 ###
 ### Defaults of options that you may want to override in the target config file
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/olpc/btest/Config.lb LinuxBIOSv2/src/mainboard/olpc/btest/Config.lb
--- LinuxBIOSv2.orig1/src/mainboard/olpc/btest/Config.lb	2006-10-24 22:16:50.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/olpc/btest/Config.lb	2006-10-24 22:38:57.000000000 +0000
@@ -14,13 +14,13 @@
 ## Compute the start location and size size of
 ## The linuxBIOS bootloader.
 ##
-default CONFIG_ROM_STREAM_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
+default CONFIG_ROM_PAYLOAD_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
 default PAYLOAD_SIZE            = ( ROM_SECTION_SIZE - ROM_IMAGE_SIZE )
 
 ##
 ## Compute where this copy of linuxBIOS will start in the boot rom
 ##
-default _ROMBASE      = ( CONFIG_ROM_STREAM_START + PAYLOAD_SIZE )
+default _ROMBASE      = ( CONFIG_ROM_PAYLOAD_START + PAYLOAD_SIZE )
 
 ##
 ## Compute a range of ROM that can cached to speed up linuxBIOS,
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/olpc/btest/Options.lb LinuxBIOSv2/src/mainboard/olpc/btest/Options.lb
--- LinuxBIOSv2.orig1/src/mainboard/olpc/btest/Options.lb	2006-10-24 22:21:56.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/olpc/btest/Options.lb	2006-10-24 22:39:06.000000000 +0000
@@ -5,7 +5,7 @@
 uses HAVE_HARD_RESET
 uses HAVE_OPTION_TABLE
 uses USE_OPTION_TABLE
-uses CONFIG_ROM_STREAM
+uses CONFIG_ROM_PAYLOAD
 uses IRQ_SLOT_COUNT
 uses MAINBOARD
 uses MAINBOARD_VENDOR
@@ -20,7 +20,7 @@
 uses ROM_IMAGE_SIZE
 uses ROM_SECTION_SIZE
 uses ROM_SECTION_OFFSET
-uses CONFIG_ROM_STREAM_START
+uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_NRV2B
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
 uses CONFIG_PRECOMPRESSED_PAYLOAD
@@ -108,7 +108,7 @@
 
 default _RAMBASE = 0x00004000
 
-default CONFIG_ROM_STREAM     = 1
+default CONFIG_ROM_PAYLOAD     = 1
 
 ##
 ## The default compiler
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/olpc/rev_a/Config.lb LinuxBIOSv2/src/mainboard/olpc/rev_a/Config.lb
--- LinuxBIOSv2.orig1/src/mainboard/olpc/rev_a/Config.lb	2006-10-24 22:16:50.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/olpc/rev_a/Config.lb	2006-10-24 22:36:11.000000000 +0000
@@ -14,13 +14,13 @@
 ## Compute the start location and size size of
 ## The linuxBIOS bootloader.
 ##
-default CONFIG_ROM_STREAM_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
+default CONFIG_ROM_PAYLOAD_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
 default PAYLOAD_SIZE            = ( ROM_SECTION_SIZE - ROM_IMAGE_SIZE )
 
 ##
 ## Compute where this copy of linuxBIOS will start in the boot rom
 ##
-default _ROMBASE      = ( CONFIG_ROM_STREAM_START + PAYLOAD_SIZE )
+default _ROMBASE      = ( CONFIG_ROM_PAYLOAD_START + PAYLOAD_SIZE )
 
 ##
 ## Compute a range of ROM that can cached to speed up linuxBIOS,
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/olpc/rev_a/Options.lb LinuxBIOSv2/src/mainboard/olpc/rev_a/Options.lb
--- LinuxBIOSv2.orig1/src/mainboard/olpc/rev_a/Options.lb	2006-10-24 22:19:52.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/olpc/rev_a/Options.lb	2006-10-24 22:36:11.000000000 +0000
@@ -5,7 +5,7 @@
 uses HAVE_HARD_RESET
 uses HAVE_OPTION_TABLE
 uses USE_OPTION_TABLE
-uses CONFIG_ROM_STREAM
+uses CONFIG_ROM_PAYLOAD
 uses IRQ_SLOT_COUNT
 uses MAINBOARD
 uses MAINBOARD_VENDOR
@@ -20,7 +20,7 @@
 uses ROM_IMAGE_SIZE
 uses ROM_SECTION_SIZE
 uses ROM_SECTION_OFFSET
-uses CONFIG_ROM_STREAM_START
+uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_NRV2B
 uses CONFIG_COMPRESSED_PAYLOAD_LZMA
 uses CONFIG_PRECOMPRESSED_PAYLOAD
@@ -108,7 +108,7 @@
 
 default _RAMBASE = 0x00004000
 
-default CONFIG_ROM_STREAM     = 1
+default CONFIG_ROM_PAYLOAD     = 1
 
 ##
 ## The default compiler
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/sunw/ultra40/Config.lb LinuxBIOSv2/src/mainboard/sunw/ultra40/Config.lb
--- LinuxBIOSv2.orig1/src/mainboard/sunw/ultra40/Config.lb	2006-10-24 22:16:49.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/sunw/ultra40/Config.lb	2006-10-24 22:36:11.000000000 +0000
@@ -15,13 +15,13 @@
 ## The linuxBIOS bootloader.
 ##
 default PAYLOAD_SIZE            = ( ROM_SECTION_SIZE - ROM_IMAGE_SIZE )
-default CONFIG_ROM_STREAM_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
-default CONFIG_ROM_STREAM     = 1
+default CONFIG_ROM_PAYLOAD_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
+default CONFIG_ROM_PAYLOAD     = 1
 
 ##
 ## Compute where this copy of linuxBIOS will start in the boot rom
 ##
-default _ROMBASE      = ( CONFIG_ROM_STREAM_START + PAYLOAD_SIZE )
+default _ROMBASE      = ( CONFIG_ROM_PAYLOAD_START + PAYLOAD_SIZE )
 
 ##
 ## Compute a range of ROM that can cached to speed up linuxBIOS,
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/sunw/ultra40/Options.lb LinuxBIOSv2/src/mainboard/sunw/ultra40/Options.lb
--- LinuxBIOSv2.orig1/src/mainboard/sunw/ultra40/Options.lb	2006-10-24 22:16:49.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/sunw/ultra40/Options.lb	2006-10-24 22:36:11.000000000 +0000
@@ -16,8 +16,8 @@
 uses ROM_IMAGE_SIZE
 uses ROM_SECTION_SIZE
 uses ROM_SECTION_OFFSET
-uses CONFIG_ROM_STREAM
-uses CONFIG_ROM_STREAM_START
+uses CONFIG_ROM_PAYLOAD
+uses CONFIG_ROM_PAYLOAD_START
 uses PAYLOAD_SIZE
 uses _ROMBASE
 uses XIP_ROM_SIZE
@@ -212,7 +212,7 @@
 ##
 ## Load the payload from the ROM
 ##
-default CONFIG_ROM_STREAM = 1
+default CONFIG_ROM_PAYLOAD = 1
 
 ###
 ### Defaults of options that you may want to override in the target config file
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/supermicro/x6dai_g/Config.lb LinuxBIOSv2/src/mainboard/supermicro/x6dai_g/Config.lb
--- LinuxBIOSv2.orig1/src/mainboard/supermicro/x6dai_g/Config.lb	2006-10-24 22:16:47.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/supermicro/x6dai_g/Config.lb	2006-10-24 22:36:11.000000000 +0000
@@ -20,12 +20,12 @@
 ## The linuxBIOS bootloader.
 ##
 default PAYLOAD_SIZE            = ( ROM_SECTION_SIZE - ROM_IMAGE_SIZE )
-default CONFIG_ROM_STREAM_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
+default CONFIG_ROM_PAYLOAD_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
 
 ##
 ## Compute where this copy of linuxBIOS will start in the boot rom
 ##
-default _ROMBASE      = ( CONFIG_ROM_STREAM_START + PAYLOAD_SIZE )
+default _ROMBASE      = ( CONFIG_ROM_PAYLOAD_START + PAYLOAD_SIZE )
 
 ##
 ## Compute a range of ROM that can be cached to speed up linuxBIOS,
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/supermicro/x6dai_g/Options.lb LinuxBIOSv2/src/mainboard/supermicro/x6dai_g/Options.lb
--- LinuxBIOSv2.orig1/src/mainboard/supermicro/x6dai_g/Options.lb	2006-10-24 22:16:47.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/supermicro/x6dai_g/Options.lb	2006-10-24 22:36:11.000000000 +0000
@@ -15,8 +15,8 @@
 uses ROM_IMAGE_SIZE
 uses ROM_SECTION_SIZE
 uses ROM_SECTION_OFFSET
-uses CONFIG_ROM_STREAM
-uses CONFIG_ROM_STREAM_START
+uses CONFIG_ROM_PAYLOAD
+uses CONFIG_ROM_PAYLOAD_START
 uses PAYLOAD_SIZE
 uses _ROMBASE
 uses XIP_ROM_SIZE
@@ -154,7 +154,7 @@
 ##
 ## Load the payload from the ROM
 ##
-default CONFIG_ROM_STREAM=1
+default CONFIG_ROM_PAYLOAD=1
 
 
 ###
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/supermicro/x6dhe_g/Config.lb LinuxBIOSv2/src/mainboard/supermicro/x6dhe_g/Config.lb
--- LinuxBIOSv2.orig1/src/mainboard/supermicro/x6dhe_g/Config.lb	2006-10-24 22:16:48.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/supermicro/x6dhe_g/Config.lb	2006-10-24 22:36:11.000000000 +0000
@@ -20,12 +20,12 @@
 ## The linuxBIOS bootloader.
 ##
 default PAYLOAD_SIZE            = ( ROM_SECTION_SIZE - ROM_IMAGE_SIZE )
-default CONFIG_ROM_STREAM_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
+default CONFIG_ROM_PAYLOAD_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
 
 ##
 ## Compute where this copy of LinuxBIOS will start in the boot rom
 ##
-default _ROMBASE	=( CONFIG_ROM_STREAM_START + PAYLOAD_SIZE )
+default _ROMBASE	=( CONFIG_ROM_PAYLOAD_START + PAYLOAD_SIZE )
 
 ##
 ## Compute a range of ROM that can be cached to speed up linuxBIOS.
